/**
 * @module @adonisjs/http-server
 */
/// <reference path="../../adonis-typings/index.d.ts" />
import { IocContract } from '@adonisjs/fold';
import { HttpContextContract } from '@ioc:Adonis/Core/HttpContext';
import { ErrorHandlerNode } from '@ioc:Adonis/Core/Server';
/**
 * Exception manager exposes the API to register custom error handler
 * and invoke it when exceptions are raised during the HTTP
 * lifecycle.
 */
export declare class ExceptionManager {
    /**
     * Resolved copy of error handler
     */
    private resolvedErrorHandler?;
    /**
     * A reference to ioc resolver to resolve the error handler from
     * the IoC container
     */
    private resolver;
    constructor(container: IocContract);
    /**
     * Register a custom error handler
     */
    registerHandler(handler: ErrorHandlerNode): void;
    /**
     * Handle the error
     */
    handle(error: any, ctx: HttpContextContract): Promise<void>;
}
